Documentation Index

Fetch the complete documentation index at: https://support.keypro.fi/llms.txt

Use this file to discover all available pages before exploring further.

2025-11-06 14.00 UTC - There are currently no active events. All systems operational.

Get cable type details

Prev Next
Get
/cabletypes/{id}

Operation is used to retrieve full details of given cable type id. Available from product version 3.2.6.

Security
API Key: Token
Header parameter nameAuthorization

Token issued for API consumer.

Path parameters
id
integerRequired

Id of cable type

Responses
200

Cable type

{
  "attenuation": null,
  "availabilityEnd": null,
  "availabilityStart": null,
  "colorCoding": null,
  "colorConfig": {
    "codingType": "1YA",
    "description": "My custom config",
    "maxNumberOfThreads": 7,
    "name": "My Config"
  },
  "cuCapacity": 0,
  "defInstallation": {
    "availability_end_ts": null,
    "availability_start_ts": null,
    "available": true,
    "groupname": "CABLE_TYPE",
    "id": 385250,
    "list_url": "https://example.keypro.fi/api/v2/txt_constants/groupname/CABLE_TYPE/",
    "logical_txt": "Buried",
    "num_value": null,
    "num_value2": null,
    "num_value3": null,
    "num_value4": null,
    "txt": "Buried"
  },
  "diameter": null,
  "fiThreads": 0,
  "fiberColors": [
    {
      "color": "#ffffff",
      "id": 364770,
      "name": "White"
    }
  ],
  "id": 40890,
  "innerTubeColors": [
    {
      "color": "#000000",
      "id": 364850,
      "name": "Black"
    }
  ],
  "listUrl": "https://example.keypro.fi/api/v2/cabletypes/",
  "resistance": null,
  "technology": {
    "availability_end_ts": null,
    "availability_start_ts": null,
    "available": true,
    "groupname": "CABLE_TECHNOLOGY",
    "id": 384970,
    "list_url": "https://example.keypro.fi/api/v2/txt_constants/groupname/CABLE_TECHNOLOGY/",
    "logical_txt": "Fiber",
    "num_value": 1.0,
    "num_value2": null,
    "num_value3": null,
    "num_value4": null,
    "txt": "Fiber"
  },
  "type": "PLANNED",
  "unitCost": null
}
Expand All
object

Cable type

attenuation
number (float)

Attenuation (dB/km)

availabilityEnd
string (date)

Availability end

availabilityStart
string (date)

Availability start

colorCoding
object (CableTypeColorCoding)

Color coding

availability_end_ts
string (date-time)

Ending date time for availability

availability_start_ts
string (date-time)

Beginning date time for availability

available
boolean

Is object deemed as available. Based on availability_start_ts and availability_end_ts values.

groupname

Group name of constant

Valid values[ "CABLE_COLORCODING" ]
id
integer

Unique id of constant

list_url
string (url)

Url to fetch all constants from this group

logical_txt
string

Logical textual value

num_value
number (float)

Numeric value

num_value2
number (float)

Numeric value 2

num_value3
number (float)

Numeric value 3

num_value4
number (float)

Numeric value 4

txt
string

Human readable textual representation

colorConfig
object (CableTypeColorConfig)
codingType
string

Color config coding type

description
string

Description

maxNumberOfThreads
integer

Maximum number of threads

name
string

Name

cuCapacity
integer

Copper capacity

defInstallation
object (CableTypeDefInstallation)

Default installation

availability_end_ts
string (date-time)

Ending date time for availability

availability_start_ts
string (date-time)

Beginning date time for availability

available
boolean

Is object deemed as available. Based on availability_start_ts and availability_end_ts values.

groupname

Group name of constant

Valid values[ "CABLE_TYPE" ]
id
integer

Unique id of constant

list_url
string (url)

Url to fetch all constants from this group

logical_txt
string

Logical textual value

num_value
number (float)

Numeric value

num_value2
number (float)

Numeric value 2

num_value3
number (float)

Numeric value 3

num_value4
number (float)

Numeric value 4

txt
string

Human readable textual representation

diameter
number (float)

Diameter (mm)

fiThreads
integer

Fiber threads

fiberColors
Array of object (CableTypeColorConfigColor)

Unique fiber colors available for the Cable type color coding. This field can not be used for filtering results in searches. Available from product version 2026.2.

object

Color entry for cable type color coding

color
string

Color value in hex format.

Example#ff0000
id
integer

Color id. Not present if using legacy color coding scheme

name
string

Color display name

ExampleRed
id
integer

Primary key

innerTubeColors
Array of object (CableTypeColorConfigColor)

Unique inner tube colors available for the Cable type color coding. This field can not be used for filtering results in searches. Available from product version 2026.2.

object

Color entry for cable type color coding

color
string

Color value in hex format.

Example#ff0000
id
integer

Color id. Not present if using legacy color coding scheme

name
string

Color display name

ExampleRed
listUrl
string

Url to fetch all cable types

resistance
integer

Resistance

technology
object (CableTypeTechnology)

Cable type technology

availability_end_ts
string (date-time)

Ending date time for availability

availability_start_ts
string (date-time)

Beginning date time for availability

available
boolean

Is object deemed as available. Based on availability_start_ts and availability_end_ts values.

groupname

Group name of constant

Valid values[ "CABLE_TECHNOLOGY" ]
id
integer

Unique id of constant

list_url
string (url)

Url to fetch all constants from this group

logical_txt
string

Logical textual value

num_value
number (float)

Numeric value

num_value2
number (float)

Numeric value 2

num_value3
number (float)

Numeric value 3

num_value4
number (float)

Numeric value 4

txt
string

Human readable textual representation

type
string

Cable type

unitCost
number (float)

Unit cost

401

Authentication credentials are missing or invalid

{
  "details": "Authentication credentials were not provided"
}
object

Standard error response payload

details
string

Detailed description of error

404

Object was not found

{
  "details": "Not found."
}
object

Standard error response payload

details
string

Detailed description of error